> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/cloud-connect/describecloudavailablebandwidthtiers.md).

# DescribeCloudAvailableBandwidthTiers

## 1. API Description

This API (DescribeCloudAvailableBandwidthTiers) is used to query Cloud Connect Available Bandwidth Tiers

{% hint style="info" %}
**Notes**

* When modifying the Cloud Connect bandwidth limit, use the cloudPortId parameter to query the available bandwidth tiers for the target Cloud Connect.
* An empty result means there is currently no available bandwidth for the Cloud Connect.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                          | Description                                                                                                                             |
| -------------- | -------- | ----------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| cloudType      | No       | [CloudType](/api-reference/networking/sdn/datastructure.md#cloudtype)         | Cloud Connect type (AWS, TENCENT, GOOGLE, AZURE, ALI\_CLOUD, HUAWEI\_CLOUD, BYTE\_PLUS, ORACLE).                                        |
| cloudRegionId  | No       | String                                                                        | Public cloud region ID (not required for Google Cloud).                                                                                 |
| dcId           | No       | String                                                                        | Data center ID of the cloud access point.                                                                                               |
| vlanId         | No       | Integer                                                                       | <p>VLAN ID.</p><p>Value range: \[2, 4000]</p>                                                                                           |
| cloudPortId    | No       | String                                                                        | <p>Cloud Connect ID.</p><p>Used when modifying the Cloud Connect bandwidth limit; other parameters are ignored if this is provided.</p> |
| cloudAccountId | No       | String                                                                        | Cloud platform account (Pairing Key for Google, Service Key for Azure).                                                                 |
| zoneColor      | No       | [DiversityZone](/api-reference/networking/sdn/datastructure.md#diversityzone) | Availability zone identifier.                                                                                                           |

## 3. Output Parameters

| Parameter Name          | Type             | Description                                                                                                           |
| ----------------------- | ---------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId               | String           | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| availableBandwidthTiers | Array of Integer | List of available bandwidth tiers for the Cloud Connect.                                                              |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query available bandwidth tiers when creating.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCloudAvailableBandwidthTiers
<Common Request Params>

Request:
{
    "cloudType": "AWS",
    "cloudRegionId": "us-east-1",
    "dcId": "0cd74ed4-e0cf-43c8-9c9b-567a1287227a",
    "vlanId": 1024,
    "cloudPortId": null,
    "cloudAccountId": null,
    "zoneColor": null
}

Response:
{
    "requestId": "T266C5563-6D98-42E9-8E62-84DF5849F8EC",
    "response": {
        "requestId": "T266C5563-6D98-42E9-8E62-84DF5849F8EC",
        "availableBandwidthTiers": [
            50,
            100,
            200,
            300,
            400,
            500,
            1000,
            2000,
            5000
        ]
    }
}
```

**2. Query available bandwidth tiers when modifying the Cloud Connect bandwidth limit.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCloudAvailableBandwidthTiers
<Common Request Params>

Request:
{
    "cloudPortId": "your-cloud-port-id"
}

Response:
{
    "requestId": "T266C5563-6D98-42E9-8E62-84DF5849F8EC",
    "response": {
        "requestId": "T266C5563-6D98-42E9-8E62-84DF5849F8EC",
        "availableBandwidthTiers": [
            50,
            100,
            200,
            300,
            400,
            500,
            1000,
            2000,
            5000
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                             | Description                           |
| ---------------- | -------------------------------------- | ------------------------------------- |
| 404              | INVALID\_CLOUD\_PORT\_NOT\_FOUND       | The cloud port does not exist.        |
| 400              | INVALID\_CLOUD\_ENDPOINT\_NOT\_SUPPORT | This cloud type is not yet supported. |
